aboutsummaryrefslogtreecommitdiffstats
path: root/chapter8/expect.sh
diff options
context:
space:
mode:
Diffstat (limited to 'chapter8/expect.sh')
-rw-r--r--chapter8/expect.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/chapter8/expect.sh b/chapter8/expect.sh
index 8a2e24b..7789eb5 100644
--- a/chapter8/expect.sh
+++ b/chapter8/expect.sh
@@ -1,10 +1,13 @@
#!/bin/bash
+set -e
./configure --prefix=/usr \
--with-tcl=/usr/lib \
--enable-shared \
--mandir=/usr/share/man \
- --with-tclinclude=/usr/include &&
+ --with-tclinclude=/usr/include \
+ "$([ "$(uname -m)" = aarch64 ] && echo aarch64-unknown-linux-gnu)" &&
+
make &&
make -j1 install &&